Redmine - Defect #6905

Specific heading-content breaks CSS
2010-11-16 02:26 - Mischa The Evil

Status: Closed Start date: 2010-11-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed Affected version:

Description

The following wiki-code

hl. Test

h2. heading

h2. header

h2. regular

hl. header

h2. admin-menu

h2. quick-search

h2. main

breaks the CSS for the elements due to the fact that the heading-id is taken from the heading-content.

At first | thought it was a side-effect of the recent TOC-changes (r4376, r4377 and r4379) but after migrating back to trunk@r4264 |
noticed the actual cause of the issue.

Here comes the output:

Test
heading
header
regular
header
admin-menu
quick-search

main

Associated revisions

Revision 5135 - 2011-03-14 23:01 - Jean-Philippe Lang

Use names instead of ids for wiki anchors (#6905).
https://www.redmine.org/projects/redmine/repository/svn/revisions/4376
https://www.redmine.org/projects/redmine/repository/svn/revisions/4377
https://www.redmine.org/projects/redmine/repository/svn/revisions/4379

History

#1 - 2011-03-08 15:03 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-03-14 23:03 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version changed from Candidate for next minor release to 1.2.0

- Resolution set to Fixed

Fixed in r5135. Anchors are now created with named <a> elements to prevent clashes with layout ids.
https://www.redmine.org/projects/redmine/repository/svn/revisions/5135
http://www.tcpdf.org

